'use strict';

const CircularBuffer = require("circular-buffer");
const history = new CircularBuffer(200);

function push(item) {
    history.push(item);
}

function dump() {
    const result = history.toarray();
    console.log(JSON.stringify(result, null, 2));
    return result;
}

exports.push = push;
exports.dump = dump;